IRPCFolderUISettings.SetFolderUIState

View as Markdown

Vault API / standard write session returns metadata structure version

Saves the display settings of a folder location from a structure, for the caller and optionally as the common settings.

ServiceFolder UI settings MFiles.IRPCFolderUISettings
gRPC method/MFiles.IRPCFolderUISettings/SetFolderUIState
HTTP (mf-http-grpc)POST /grpc/v1/set-folder-uistate
RequestSetFolderUIStateRequest
ResponseSetFolderUIStateResponse
Book and levelVault API, standard
Kindwrite
SessionRequired: the session ID from LogIn in the mfiles-session-id-bin metadata.
Idempotentno
Returns metadata structure versionyes (in the mfiles-metadata-version-bin trailer)
Streamingnone (unary)

Remarks

Request: SetFolderUIStateRequest

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
save_as_common_settingsboolTrue to also save the state as the common settings of the folder.
reset_common_settings_to_all_usersboolTrue to also overwrite every user's settings of the folder. Used only with save_as_common_settings.
object_folderboolTrue when the location is an object's folder (its files) inside folder_location. Prefer type UISETTINGS_FOLDER_TYPE_OBJECT_FILES_CONTAINER.
folder_location[]repeated FolderThe path of folders from the vault root to the folder. Empty for the root.
folder_location[].typeFolderTypeThe type of the folder, for example FOLDER_TYPE_VIEW_FOLDER or FOLDER_TYPE_PROPERTY_FOLDER.Values: FOLDER_TYPE_UNKNOWN (0), FOLDER_TYPE_ANY_FOLDER (1), FOLDER_TYPE_VIEW_FOLDER (2), FOLDER_TYPE_PROPERTY_FOLDER (3), FOLDER_TYPE_TRADITIONAL_FOLDER (4), FOLDER_TYPE_SEARCH_FOLDER (5), FOLDER_TYPE_EXTERNAL_VIEW_FOLDER (6).
folder_location[].dataFolderInfoUnionAdditional folder type -specific information as a union.
folder_location[].data.any_folderFolderInfoUnion.AnyFolderData (oneof data)Any folder type.
folder_location[].data.view_folderFolderInfoUnion.ViewFolderData (oneof data)View folder type.
folder_location[].data.property_folderFolderInfoUnion.PropertyFolderData (oneof data)Property (virtual) folder type.
folder_location[].data.traditional_folderFolderInfoUnion.TraditionalFolderData (oneof data)Traditional folder type.
folder_location[].data.search_folderFolderInfoUnion.SearchFolderData (oneof data)Search folder (extended view folder) type.
folder_location[].data.external_view_folderFolderInfoUnion.ExternalViewFolderData (oneof data)External view folder type.
max_data_version_interpretableint32The data version to store. Must be 15.
folder_uistateFolderUIStateThe display settings to store.
folder_uistate.folder_idUISettingsFolderIDThe ID that describes the folder.
folder_uistate.folder_id.typeUISettingsFolderTypeThe type that describes the folder whose UI settings are being retrieved.
folder_uistate.folder_id.viewint32If not zero, specifies the view where the folder is located.
folder_uistate.folder_typeShellFolderTypeSpecifies shell folder type.Values: SHELL_FOLDER_TYPE_NORMAL (0), SHELL_FOLDER_TYPE_OBJECT_HISTORY (2), SHELL_FOLDER_TYPE_NON_OBJECT_ITEMS (3), SHELL_FOLDER_TYPE_RELATIONSHIPS (4), SHELL_FOLDER_TYPE_SUBOBJECTS (5), SHELL_FOLDER_TYPE_COLLECTION_MEMBERS (6), SHELL_FOLDER_TYPE_DELETED_CONFLICT_HISTORY (7).
folder_uistate.show_right_paneboolSpecifies whether the right pane is displayed.
folder_uistate.show_bottom_paneboolSpecifies whether the bottom pane is displayed.
folder_uistate.is_bottom_pane_minimizedboolSpecifies whether the bottom pane is minimized.
folder_uistate.is_right_pane_minimizedboolSpecifies whether the right pane is minimized.
folder_uistate.show_metadata_editorn_right_paneboolSpecifies whether the metadata editor is displayed in the right pane. If false, the metadata editor appears in the bottom pane.
folder_uistate.is_hit_highlighting_enabledboolSpecifies whether hit highlighting in file content is enabled.
folder_uistate.bottom_pane_heightint32Specifies the bottom pane height. The height is relative to the size of the frame window holding the bottom pane bar.
folder_uistate.right_pane_widthint32Specifies the right pane width.
folder_uistate.show_task_paneboolSpecifies whether the task area is displayed.
folder_uistate.is_task_pane_minimizedboolSpecifies whether the task area is minimized.
folder_uistate.listing_ui_stateFolderListingUIStateThe listing UI state.
folder_uistate.listing_ui_state.columns[]repeated FolderListingColumnThe Columns.
folder_uistate.listing_ui_state.column_sorting[]repeated FolderListingColumnSortingThe ColumnSortings.
folder_uistate.listing_ui_state.view_modeFolderListingViewModeThe listing view mode.Values: FOLDER_LISTING_VIEW_MODE_UNINITIALIZED (0), FOLDER_LISTING_VIEW_MODE_ICON (1), FOLDER_LISTING_VIEW_MODE_SMALL_ICON (2), FOLDER_LISTING_VIEW_MODE_LIST (3), FOLDER_LISTING_VIEW_MODE_DETAILS (4), FOLDER_LISTING_VIEW_MODE_THUMBNAIL (5), FOLDER_LISTING_VIEW_MODE_TILE (6), FOLDER_LISTING_VIEW_MODE_THUMBSTRIP (7), FOLDER_LISTING_VIEW_MODE_CONTENT (8).
folder_uistate.listing_ui_state.item_grouping_modeFOLDERLISTINGITEMGROUPINGMODEFLAGSThe listing item grouping mode.
folder_uistate.listing_ui_state.icon_sizeint32The listing item icon size.
folder_uistate.listing_ui_state.results_per_pageuint32The results per page option.
typeUISettingsFolderTypeThe folder type, for folders whose type cannot be resolved from the location. Leave unset to resolve it from folder_location.

Response: SetFolderUIStateResponse

No fields.